Page({
  data: {
    title: '',
    id:1,
    expertDetail: []
  },
  onLoad(options) {
    this.data.id=options.id;
    this.getExpertDetail();
    dd.setNavigationBar({
      title: options.name+'-'+options.tags_text,
      backgroundColor: '#FFFFFF',
    });
  },
  getExpertDetail(){
    let params = {
      id: this.data.id
    };
    let token = '';
    dd.getStorage({
      key: 'token',
      success: (res)=> {
        // dd.alert({content: '获取成功：' + res.data.authCode});
        token = res.data.token;
        dd.utils.$http('/api/consumer/expert-info','GET',params,token).then(
          (data) => {
            let list = data.data.data;
            let newarray = []
            let array = {
              name: list.name,
              slogan: list.slogan,
              summary: list.summary,
              service_area_text: list.service_area_text,
              mainCaseList: list.mainCaseList
            }
            newarray = array;
            this.setData({
              expertDetail:newarray
            })
            console.log(array);
          },
          (err) => { 
            console.log('错误:'+err);
          }
        );
      },
      fail: (res)=>{
        dd.alert({content: res.errorMessage});
      }
    });
  }
});